Name:           kommit
Version:        1.0.2
Release:        %mkrel 1
Summary:        Git gui client for KDE
Group:          Graphical desktop/KDE
License:        GPL-3.0-or-later AND GPL-2.0-or-later AND BSD-3-Clause
URL:            https://apps.kde.org/kommit/
Source0:        https://download.kde.org/stable/kommit/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5SyntaxHighlighting)

Recommends:     %{name}-handbook

%description
Git gui client for KDE.

%files -f %{name}.lang
%license COPYING LICENSE
%doc README.md
%{_kf5_categoriesdir}/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}diff
%{_kf5_bindir}/%{name}merge
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_libdir}/lib%{name}.so.0
%{_kf5_libdir}/lib%{name}.so.%{version}
%{_kf5_libdir}/lib%{name}diff.so.0
%{_kf5_libdir}/lib%{name}diff.so.%{version}
%{_kf5_libdir}/lib%{name}gui.so.0
%{_kf5_libdir}/lib%{name}gui.so.%{version}
%{_kf5_plugindir}/kfileitemaction/%{name}itemaction.so
%{_kf5_plugindir}/overlayicon/%{name}overlayplugin.so
%{_kf5_applicationsdir}/*.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/actions/*.svg
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg

#--------------------------------------------------------------------

%package        handbook
Summary:        kommit Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides kommit handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup


%build
%cmake_kf5
%cmake_build


%install
%cmake_install
%find_lang %{name}



%changelog
* Sat May 06 2023 daviddavid <daviddavid> 1.0.2-1.mga9
+ Revision: 1955965
- initial package kommit

